package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag760;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;

/**
 * @author wuzhe
 * @date 2023/2/24
 */
public class TagB49Creator extends AbsTagCreate {

     private MT760Creator mt760Creator;

    public TagB49Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt760Creator = (MT760Creator) absMTCreator;
    }

    public  void creator()
    {
        String tagB49Value = mt760Creator.getConfirmationInstructionsOfB();
        mt760Creator.set("49", tagB49Value);
    }
}
